Subject: Re: tracking separate branches with RSS

From: Jakub Narebski <[email-masked]>
Date: Tue, 14 Nov 2006 01:54:03 +0100

Han-Wen Nienhuys wrote:

> I think that the shortlog / RSS support in gitweb is really neat. 
> However, it seems to track only the master branch.
> 
> In our repository (http://git.sv.gnu.org/gitweb/?p=lilypond.git;a=summary),
> we track two completely disparate branches in one repository: we have 
> both the project and the website for the project in branches
> 
>    master
> 
> and
> 
>    web/master
> 
> Unfortunately,  I don't seem to get any updates in my RSS reader when I 
> push something  to web/master. Would it be possible have a separate feed 
> for each branch?  I tried looking at the gitweb script, but my perl-fu 
> is too weak to figure out how to pass an argument from the URL into a 
> git_rss() to replace  the
> 
>    git_get_head_hash($project)
> 
> call.

For quick'n'dirty solution it would be enough to just replace
    git_get_head_hash($project)
with
    $hash || "HEAD"
(or $hash || git_get_head_hash($project)).

Then to track branch 'branch' with RSS just use 
    ?p=project.git;a=rss;h=branch
as a query string.

I started doing it, but the problem is that you have to change also a bit
of contents, for example summary/title, and some links.

git_rss subroutine is one of the few subroutines which didn't get refactored.

> A second possibility -less desirable, but better than nothing- is to 
> have commits from all branches show up in the shortlog and the RSS feed.

Use "--all" as 'h' (hash) parameter.

P.S. What do you think about moving from RSS to Atom for feeds?

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git